@font-face {
	font-family: "Noto Sans Mono";
	src: url("/static/noto.woff2") format("woff2");
}

/*! modern-normalize v3.0.1 | MIT License | https://github.com/sindresorhus/modern-normalize */
*,::after,::before{box-sizing:border-box}html{font-family:system-ui,'Segoe UI',Roboto,Helvetica,Arial,sans-serif,'Apple Color Emoji','Segoe UI Emoji';line-height:1.15;-webkit-text-size-adjust:100%;tab-size:4}body{margin:0}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:ui-monospace,SFMono-Regular,Consolas,'Liberation Mono',Menlo,monospace;font-size:1em}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-color:currentcolor}button,input,optgroup,select,textarea{font-family:inherit;font-size:100%;line-height:1.15;margin:0}[type=button],[type=reset],[type=submit],button{-webkit-appearance:button}legend{padding:0}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}

/* yoink tailwind */
:root {
	--zinc-00: #fafafa;
	--zinc-01: #f4f4f5;
	--zinc-02: #e4e4e7;
	--zinc-03: #d4d4d8;
	--zinc-04: #a1a1aa;
	--zinc-05: #71717a;
	--zinc-06: #52525b;
	--zinc-07: #3f3f46;
	--zinc-08: #27272a;
	--zinc-09: #18181b;
	--zinc-10: #09090b;
	--sky-00: #f0f9ff;
	--sky-01: #e0f2fe;
	--sky-02: #bae6fd;
	--sky-03: #7dd3fc;
	--sky-04: #38bdf8;
	--sky-05: #0ea5e9;
	--sky-06: #0284c7;
	--sky-07: #0369a1;
	--sky-08: #075985;
	--sky-09: #0c4a6e;
	--sky-10: #082f49;
	--mono: "Noto Sans Mono", Menlo, Consolas, Monaco, Adwaita Mono, Liberation Mono, Lucida Console, monospace;
	--sans: -apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, Adwaita Sans, Cantarell, Ubuntu, roboto, noto, helvetica, arial, sans-serif;
	--serif: Iowan Old Style, Apple Garamond, Baskerville, Georgia, Times New Roman, Droid Serif, Times, Source Serif Pro, serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol;
	--maxw: 900px;
}

html {
	font-size: 18px;
}

body {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	background: var(--zinc-08);
	color: var(--zinc-01);
	font-family: var(--serif);
}

a {
	color: var(--zinc-01);
	text-underline-offset: 8px;
	text-decoration-color: var(--sky-04);

	&:hover {
		text-decoration-thickness: 3px;
	}
}

h1, h2, h3, h4, h5 {
	font-weight: 400;
	font-family: var(--mono);
}

ul, ol, p {
	line-height: 1.6rem;
}

header {
	border-bottom: solid 1px var(--zinc-07);
	flex-grow: 0;
}

main {
	flex-grow: 1;
	width: 100%;
	max-width: var(--maxw);
	margin: auto;
	padding: 1rem 1rem;
}

nav {
	max-width: var(--maxw);
	margin: auto;
	display: flex;
	padding: 1rem 1rem;
	justify-content: space-between;
	align-items: center;
}

#brand {
	display: flex;
	justify-content: center;
	align-items: center;
	text-decoration: none;
	p {
		padding-left: 2rem;
	}
}

#nav-list {
	display: flex;
	justify-items: center;
	align-items: center;
	gap: 1.6rem;
	list-style: none;
	padding: 0;
	margin: 0;
}

footer {
	color: var(--zinc-04);
	border-top: solid 1px var(--zinc-07);
	flex-grow: 0;
	p {
		max-width: var(--maxw);
		margin: auto;
		padding: 3rem 1rem;
		line-height: 1.6rem;
	}
}

.blink {
	animation: blinker 1s step-start infinite;
	margin-top: -0.3rem;
	vertical-align: middle;
}

@keyframes blinker {
	50% {
		opacity: 0;
	}
}

a {
	color: var(--zinc-01);
	text-underline-offset: 8px;
	text-decoration-color: var(--sky-04);

	&:hover {
		text-decoration-thickness: 3px;
	}
}

.index-list {
	list-style: none;
	padding: 0;
	margin: 0;

	& li {
		margin-bottom: 1.5rem;
	}
}

.index-link {
	color: var(--zinc-01);
	line-height: 1.6rem;
	text-decoration: none;

	& h5 {
		font-size: 1rem;
		font-weight: 600;
		margin: 0;
		padding: 0;
		width: 100%;
		display: inline-block;
		text-decoration: underline;
		text-underline-offset: 8px;
		text-decoration-color: var(--sky-04);
	}

	& p {
		color: var(--zinc-04);
		line-height: 1rem;
		font-size: 1rem;
		margin: 0;
		padding: 1rem 0 0 0;
	}

	&:hover {
		& h5 {
			text-decoration-thickness: 3px;
		}
	}
}

#posts-title {
	padding-top: 3rem;
}

.highlight, code, pre {
	overflow-x: scroll;
	font-family: var(--mono);
}

.article-title {
	margin-bottom: 0.5rem;
}

.article-subtitle-date {
	color: var(--zinc-04);
	font-style: italic;
	margin: 0;
}

.svg-text {
	font-family: var(--mono);
}

aside {
	color: var(--zinc-04);
	line-height: 1.6rem;
	margin: 1rem 0;
	font-style: italic;
}

